{% extends "base.html" %}



{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block nav %}
    <a href="{% url 'recipe_list' %}">Main</a>
    <a href="{% url 'create_recipe' %}">Create</a>
    <a href="{% url 'my_recipe_list' %}">My Recipes</a>

    {% if user.is_authenticate %}
        Hello, {{ user.username }}
        <a href="{% url "user_logout" %}">Logout</a>
    {% else %}
        <a href="{% url "signup" %}">Sign Up</a>
        <a href="{% url "user_login" %}">Login</a>
    {% endif %}
{% endblock nav %}

{% block main %}
    <h1 id="purple-background">Scrumptious Recipes</h1>
                <h2>All the food that's fit to eat</h2>
                <div>
                    {% for recipe in recipe_list %}
                        <div>
                            <h3>
                                <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                                <p>{{ recipe.created_on|date:"d F Y" }}</p>
                            </h3>
                                <img src="{{ recipe.picture }}">
                            <div>4.3 Stars</div>
                        </div>
                    {% empty %}
                    <p>There are no recipes.</p>
                    {% endfor %}
                </div>
{% endblock main %}
